<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:composite="http://java.sun.com/jsf/composite">


    <composite:interface>
        <composite:attribute name="uiBean" required="true" />
    </composite:interface>
    <composite:implementation>
        <ui:param name="uiBean" value="#{cc.attrs.uiBean}" />
        <f:loadBundle
            basename="org.inra.ecoinfo.foret.identification.message"
            var="requestForetRightsManagementPanel" />
        <h:panelGrid columns="2" 
                     rendered="#{uiBean.hasSelection}">
            <h:outputLabel value="Créé le :" for="createDate" />
            <h:outputText id="createDate" value="#{uiBean.currentRequest.createDate}" title="createDate" >
                <f:convertDateTime pattern="dd/MM/yyyy à hh:mm" />
            </h:outputText>
            <h:outputLabel value="#{requestForetRightsManagementPanel.PROPERY_MSG_NAME_SURNAME}" for="nameSurname" />
            <h:outputText id="nameSurname" value="#{uiBean.currentRequest.rightRequest.nameSurname}" title="nameSurname" />
            <h:outputLabel value="#{requestForetRightsManagementPanel.PROPERY_MSG_STATUS}" for="status" />
            <h:outputText id="status" value="#{uiBean.currentRequest.rightRequest.status}" title="status" />
            <h:outputLabel value="#{requestForetRightsManagementPanel.PROPERY_MSG_INSTITUTION}" for="institution" />
            <h:outputText id="institution" value="#{uiBean.currentRequest.rightRequest.institution}" title="institution"/>
            <h:outputLabel value="#{requestForetRightsManagementPanel.PROPERY_MSG_EMAIL}" for="email" />
            <h:outputText id="email" value="#{uiBean.currentRequest.rightRequest.email}" title="email" />
            <h:outputLabel value="#{requestForetRightsManagementPanel.PROPERY_MSG_PHONE}" for="phone" />
            <h:outputText id="phone" value="#{uiBean.currentRequest.rightRequest.phone}" title="phone"/>
            <h:outputLabel value="#{requestForetRightsManagementPanel.PROPERY_MSG_RELATION}" for="relation" />
            <h:outputText id="relation" value="#{uiBean.currentRequest.rightRequest.relation}" title="relation"/>
            <h:outputLabel value="#{requestForetRightsManagementPanel.PROPERY_MSG_TITLE}" for="title" />
            <h:outputText id="title" value="#{uiBean.currentRequest.rightRequest.title}" title="title"/>
            <h:outputLabel value="#{requestForetRightsManagementPanel.PROPERY_MSG_OBJECTIVES}" for="objectives" />
            <h:outputText  id="objectives" value="#{uiBean.currentRequest.rightRequest.objectives}" title="objectives"/>
            <h:outputLabel value="#{requestForetRightsManagementPanel.PROPERY_MSG_FUNDINGS}" for="fundings" />
            <h:outputText id="fundings" value="#{uiBean.currentRequest.rightRequest.fundings}" title="fundings"/>
            <h:outputLabel value="#{requestForetRightsManagementPanel.PROPERY_MSG_DELIVERY_DATE}" for="deliveryDate" />
            <h:outputText id="deliveryDate" value="#{uiBean.currentRequest.rightRequest.deliveryDate}" title="deliveryDate"> 
                <f:convertDateTime pattern="dd/MM/yyyy"/>  
            </h:outputText>
            <h:outputLabel value="#{requestForetRightsManagementPanel.PROPERY_MSG_SITES}" for="sites" />
            <h:outputText id="sites" value="#{uiBean.currentRequest.rightRequest.sites}" title="sites"/>
            <h:outputLabel value="#{requestForetRightsManagementPanel.PROPERY_MSG_REQUIRED_DATA}" for="requiredData" />
            <h:outputText id="requiredData" value="#{uiBean.currentRequest.rightRequest.requiredData}" title="requiredData"/>
            <h:outputLabel value="#{requestForetRightsManagementPanel.PROPERY_MSG_PUBLICATIONS}" for="references" />
            <h:outputText  id="references" value="#{uiBean.currentRequest.rightRequest.publications}" title="references"/>
            <h:outputLabel value="#{requestForetRightsManagementPanel.PROPERY_MSG_ADDITIANNALS_INFORMATIONS}" for="additionalsInformations"/>
            <h:outputText id="additionalsInformations" value="#{uiBean.currentRequest.rightRequest.additionalsInformations}" />
        </h:panelGrid>

    </composite:implementation>

</html>